<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">

<head>
	<meta charset="UTF-8">
	<meta name="viewport"
		content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<title>Insurance Management System</title>
</head>

<body>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="/js/shop/addressValidation.js"></script>
	<script src="/js/shop/address.js"></script>



	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">
				<img th:src="@{/images/logo.png}" src="../static/images/logo.png" width="auto" height="40"
					class="d-inline-block align-top" alt="" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">

				<ul class="navbar-nav ml-auto text-uppercase">

					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/shop}" href="#">Continue Shopping</a>
					</li>

					<li class="nav-item active">
						<a class="nav-link mt-2" sec:authorize="isAuthenticated()" th:href="@{/logout}" href="#">logout</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/cart}" href="#">
							<img th:src="@{/images/cart.png}" width="auto" height="40" class="d-inline-block align-top" alt="" />
						</a>
					</li>
				</ul>

			</div>
		</div>
	</nav>
	<main id="main" class="container" >
		

			<!--Section: Block Content-->
			<section class="mt-5 mb-4" >
						<h5 class="mb-2">Billing details</h5>

						<!-- Card -->
						<div class="card wish-list pb-1">
							<div class="card-body ">

								
								<!-- Grid row -->
								<div class="col">

									<form name="address" id="address" onsubmit="return validateForm()" method="post"
										th:object="${address}">
										<!-- Grid column -->


										<!-- First name -->
										<input type="hidden" id="id" name="id" th:field="*{id}">
										<div class="md-form md-outline mb-0 mb-lg-4 ">
											<label for="firstName">First name</label>
											<input type="text" id="firstName" required th:field="*{firstName}"
												class="form-control mb-0 mb-lg-2">
												<div class="error" id="firstNameErr"></div>
										</div>


										<!-- Grid column -->

										<!-- Grid column -->


										<!-- Last name -->
										<div class="md-form md-outline ">
											<label for="lastName">Last name</label>
											<input type="text" id="lastName" required th:field="*{lastName}"
												class="form-control">
												<div class="error" id="lastNameErr"></div>
										</div>


										<!-- Grid column -->

										<!-- Country -->
										<div class="d-flex flex-wrap">
											<div class="select-outline position-relative w-100" id="country"
												th:field="*{country}" name="country">
												<label>Country - <strong>INDIA</strong></label>


											</div>
										</div>

										<!-- Address Part 1 -->
										<div class="md-form md-outline mt-2">
											<label for="address1">Address (Line 1)</label>
											<input type="text" required id="address1" name="address1"
												placeholder="House number and street name" th:field="*{address1}"
												class="form-control">
												<div class="error" id="address1Err"></div>
										</div>

										<!-- Address Part 2 -->
										<div class="md-form md-outline mt-2">
											<label for="address2">Address (Line 2)</label>
											<input type="text" id="address2" name="address2"
												placeholder="Apartment, suite, unit etc. (optional)"
												th:field="*{address2}" class="form-control">
												<div class="error" id="address2Err"></div>
										</div>

										<!-- Postcode / ZIP -->
										<div class="md-form md-outline mt-3">
											<label for="form16">Pincode / ZIP</label>
											<input type="text" id="pincode" name="pincode" maxlength="6" minlength="6"
												required th:field="*{pincode}" class="form-control">
												<div class="error" id="pincodeErr"></div>
										</div>

										<!-- Town / City -->
										<div class="md-form md-outline mt-2">
											<label for="form17">Town / City</label>
											<input type="text" required id="city" name="city" th:field="*{city}"
												class="form-control">
												<div class="error" id="cityErr"></div>

										</div>

										<!-- Phone -->
										<div class="md-form md-outline mt-2">
											<label for="form18">Phone</label>
											<input type="text" minlength="10" maxlength="10" required
												th:field="*{phone}" id="phone" name="phone" class="form-control">
												<div class="error" id="phoneErr"></div>
										</div>

										<!-- Email address -->
										<div class="md-form md-outline mt-2">
											<label for="form19">Email address</label>
											<input type="email" required id="email" name="email" th:field="*{email}"
												class="form-control">
												<div class="error" id="emailErr"></div>
										</div>

										<input type="hidden" id="userId" name="userId" th:field="*{user.id}">
										<div>
											<span><button type="submit" class="btn btn-primary" id="btn-search">Submit</button></span>
											&nbsp;<span><a th:href=@{/cart/payNow} class = "btn btn-danger">Pay Now</a></span>
										</div>
									</form>
								</div>
							</div>
						</div>
						<!-- Card -->


			</section>
			<!--Section: Block Content-->
		
	</main>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>
</body>

</html>